#ifndef EVENTSBASEGLOBAL_H
#define EVENTSBASEGLOBAL_H

#include "EventsBase.h"

namespace Engine {

/** \brief Registers a listener to a given event type */
bool RegisterListener (const EventListenerBase *listener, const int event_type);
/** \brief Calls all event listeners to handle the events */
bool QueueEvent (const EventBasePtr &event);
/** \brief Calls the listener handlers immediately */
bool TriggerEvent (const EventBasePtr &event);

}
#endif /* EVENTSBASEGLOBAL_H */
