#if ( !defined(_ASTEROIDSENUMS_H) || defined(GENERATE_ENUM_STRINGS) )

#if ( !defined(GENERATE_ENUM_STRINGS))
	#define _ASTEROIDSENUMS_H
#endif

#include "EnumToString.h"

namespace asteroids {

BEGIN_ENUM(GameEntityType)
{
	DECL_ENUM_ELEMENT(GameEntityTypeUnknown),
	DECL_ENUM_ELEMENT(GameEntityTypeShip),
	DECL_ENUM_ELEMENT(GameEntityTypeRocket),
	DECL_ENUM_ELEMENT(GameEntityTypeAsteroid),
	DECL_ENUM_ELEMENT(GameEntityTypeShipPart),
	DECL_ENUM_ELEMENT(GameEntityTypeLast)
}
END_ENUM(GameEntityType)

BEGIN_ENUM(GameState)
{
	DECL_ENUM_ELEMENT(GameStateMainMenu),
	DECL_ENUM_ELEMENT(GameStateRunning),
	DECL_ENUM_ELEMENT(GameStatePaused),
	DECL_ENUM_ELEMENT(GameStatePlayerDied),
	DECL_ENUM_ELEMENT(GameStateLevelComplete),
	DECL_ENUM_ELEMENT(GameStateGameOver)
}
END_ENUM(GameState)

#include "AsteroidsEvents.h"

}
#endif /* _ASTEROIDSENUMS_H */

